Name:		icmpdn
Version:	0.3
Release:	2
License:	LGPL for library, GPL for utilities
Group:		System Environment/Libraries
Summary:	ICMP host name utilities
Source0:	http://www.dolda2000.com/~fredrik/icmp-dn/%name-%version.tar.gz
URL:		http://www.dolda2000.com/~fredrik/icmp-dn/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
icmpdn is an implementation of the RFC 1788 ICMP domain name
facilities for Linux. It includes icmpdnd, a daemon which responds to
ICMP domain name requests from other hosts, idnlookup, which requests
the domain name of another host, and nss_icmp, which is a nameswitch
module for doing reverse hostname lookups via idnlookup.

%prep
%setup

%build
%configure --libdir=/%{_lib}
make %{?_smp_mflags}

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m755 admin/icmpdnd "$RPM_BUILD_ROOT%{_initrddir}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/%{_lib}/libnss_icmp.so
/%{_lib}/libnss_icmp.la
/%{_lib}/libnss_icmp.so.2.0.0
/%{_lib}/libnss_icmp.so.2
%config %{_sysconfdir}/nss-icmp.conf

%attr(4755,root,root) %{_bindir}/idnlookup

%config %{_initrddir}/icmpdnd
%{_sbindir}/icmpdnd

%doc AUTHORS ChangeLog COPYING COPYING.LIB README

%changelog
* Thu Jul 07 2005 Fredrik Tolf <fredrik@dolda2000.com>
- Compressed the description.
- Added COPYING.LIB, which contains the LGPL.

* Thu Jun 30 2005 Fredrik Tolf <fredrik@dolda2000.com>
- Fixed more things as from fedora-extras-list:
- Replaced /lib with /%{_lib}
- Run ldconfig in %post and %postun.
- Install init script in %{_initrdddir} instead of %_{sysconfdir}.

* Tue Jun 28 2005 Fredrik Tolf <fredrik@dolda2000.com>
- Fixed a lot of things after a discussion on fedora-extras-list,
  among other things:
- Removed Vendor tag
- Fixed Source tag
- Replaced en-dashes with ASCII hyphens
- Added SMP flags to make
- Removed INSTALL and NEWS from %doc
- Added this ChangeLog section.
